Please use the Apache issue tracking system for new NetBeans issues (https://issues.apache.org/jira/projects/NETBEANS0/issues) !!
Bug 224245 - Organise Members: elements from same group are not sorted
Organise Members: elements from same group are not sorted
Status: RESOLVED FIXED
Product: java
Classification: Unclassified
Component: Editor
7.3
PC Windows 7
: P3 (vote)
: 7.4
Assigned To: Dusan Balek
issues@java
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2012-12-26 22:35 UTC by markiewb
Modified: 2013-05-11 02:32 UTC (History)
0 users

See Also:
Issue Type: ENHANCEMENT
:


Attachments
See failing example (144.98 KB, image/png)
2012-12-26 22:39 UTC, markiewb
Details

Note You need to log in before you can comment on or make changes to this bug.
Description markiewb 2012-12-26 22:35:05 UTC
[ BUILD # : 201212260001 ]
[ JDK VERSION : 1.7.0_09 ]

* enable group by visibility
* 
<code>
public class Foo {
    public void m() {}
    private void doC() {}
    private void doA() {}
    private void doB() {}
}
</code>
* invoke the "organise members" action

ACTUAL: elements from the same group/types are not sorted (C,A,B) -
IMHO it makes no sense - see screenshot

EXPECTED: elements from the same group/types are sorted (A,B,C)

----
Product Version: NetBeans IDE Dev (Build 201212260001)
Java: 1.7.0_10; Java HotSpot(TM) 64-Bit Server VM 23.6-b04
Runtime: Java(TM) SE Runtime Environment 1.7.0_10-b18
System: Windows 7 version 6.1 running on amd64; Cp1252; de_DE (nb)
Comment 1 markiewb 2012-12-26 22:39:00 UTC
Created attachment 129706 [details]
See failing example
Comment 2 Dusan Balek 2013-01-07 18:11:13 UTC
A possible enhancement for the next release.
Comment 3 Dusan Balek 2013-05-09 20:27:58 UTC
Fixed in jet-main.

http://hg.netbeans.org/jet-main/rev/7994ba991395
Comment 4 Quality Engineering 2013-05-11 02:32:44 UTC
Integrated into 'main-golden', will be available in build *201305102300* on http://bits.netbeans.org/dev/nightly/ (upload may still be in progress)
Changeset: http://hg.netbeans.org/main-golden/rev/7994ba991395
User: Dusan Balek <dbalek@netbeans.org>
Log: Issue #224245 and #28294: Ability to sort method order - fixed.


By use of this website, you agree to the NetBeans Policies and Terms of Use. © 2014, Oracle Corporation and/or its affiliates. Sponsored by Oracle logo